# std::conditional< _Cond, _Iftrue, _Iffalse > Struct Template Reference
[Type Traits]

conditional More...

List of all members.

## Public Types

- typedef _Iftrue type

## Detailed Description

### template<bool _Cond, typename _Iftrue, typename _Iffalse>
struct std::conditional< _Cond, _Iftrue, _Iffalse >

conditional

Definition at line 369 of file type_traits.

The documentation for this struct was generated from the following file:

- type_traits